Name:           flukz
Version:        0.4
Release:        %mkrel 3
Summary:        Flukz is an editor and player of shoot'em up video games
Group:          Games/Arcade
License:        GPLv2+
URL:            http://flukz.org/wiki/doku.php?id=flukz
Source0:        http://download.tuxfamily.org/flukz/%{name}%{version}.tar.gz

BuildRequires:  icoutils
BuildRequires:  qt4-devel
Requires:       pulseaudio

%description
Flukz is an editor of shoot'em up video games. Game levels can be created,
edited and saved online using a wiki interface, without particular need of
programmation skills. The created games are available online to all users.

%prep
%setup -q -n %{name}%{version}

%build
%qmake_qt4
%make

%install
# Install binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 bin/%{name} %{buildroot}%{_gamesbindir}

# Extract and install icon
for size in 16 32 48; do
  install -d %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/
  icotool -x --width=${size} images/flukz.ico -o %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

# Mageia menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Flukz
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc Changelog.txt License.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 743450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-2.mga5
+ Revision: 679244
- Mageia 5 Mass Rebuild

* Thu May 01 2014 akien <akien> 0.4-1.mga5
+ Revision: 619363
- imported package flukz

